X-Git-Url: https://git.exim.org/exim.git/blobdiff_plain/19cbdd27e03c039eb6244f126dc453fc0efcbf8a..33a1a1bf0dc7d8202f09fda79e5a496645bbeb3b:/src/scripts/reversion?ds=sidebyside

diff --git a/src/scripts/reversion b/src/scripts/reversion
index c4618868e..9707b9c1c 100755
--- a/src/scripts/reversion
+++ b/src/scripts/reversion
@@ -1,4 +1,9 @@
 #!/bin/sh
+# Copyright (c) The Exim Maintainers 2016
+
+set -e
+LC_ALL=C
+export LC_ALL
 
 # Update Exim's version header file.
 
@@ -37,8 +42,13 @@ then
 	# Modify the output of git describe into separate parts for
 	# the name "exim" and the release and variant versions.
 	# Put a dot in the version number and remove a spurious g.
-	set $(git describe --dirty=-XX --match 'exim-4*' |
-		sed 's|-| |;s|_|.|;s|[-_]| _|;s|-g|-|')
+	if [ "$2" ]
+	then
+	    description=$(git describe "$2")
+	else
+	    description=$(git describe --dirty=-XX --match 'exim-4*')
+	fi
+	set $(echo "$description" | sed 's|-| |;s|_|.|;s|[-_]| _|;s|-g|-|')
 	# Only update if we need to
 	if [ "$2 $3" != "$EXIM_RELEASE_VERSION $EXIM_VARIANT_VERSION" ]
 	then